@import 'champions';

.commissions {
  &_referrals {
    &.fullHistory_body {
      .table_head {
        padding: 0px;
      }
    }
  }
  &_fullhistory {
    &.fullHistory_body {
      .table_head {
        padding: 0px;
      }
    }
    .table {
      padding: 0px;
      &_head {
        padding: 0px;
      }
      &_body {
        &-inner {
          background-color: #2f3e59;
          .table-td:nth-of-type(2) {
            background-color: #29364f;
          }
          &:nth-of-type(even) {
            background-color: #354360;
            .table-td:nth-of-type(2) {
              background-color: #2f3c57;
            }
          }
        }
      }
    }
    .table-th {
      &:first-child {
        max-width: 110px;
      }
      &:last-child {
        display: none;
      }
    }
    .table-td {
      &:first-child {
        max-width: 110px;
        .lastWin-item_wrapper {
          border-radius: 0px;
        }
      }
      &:last-child {
        display: none;
      }
    }
    .lastWin-item-center {
      font-size: .725rem;
      border-radius: 0px;
      padding: 0px;
    }
    .lastWin-item_wrapper {
      height: 40px;
      padding: $marginMini / 2 0px;
    }
  }
  &_referrals {
    .table {
      padding: 0px 0px;
    }
    .table_body {
      &-inner {
        background-color: #2f3e59;
        .table-td:nth-of-type(2) {
          background-color: #29364f;
        }
        &:nth-of-type(even) {
          background-color: #354360;
          .table-td:nth-of-type(2) {
            background-color: #2f3c57;
          }
        }
      }
    }
    .table-th {
      &:first-child {
        max-width: 40px;
      }
      &:last-child {
        display: none;
      }
    }
    .table-td {
      &:first-child {
        max-width: 40px;
        .lastWin-item_wrapper {
          border-radius: 0px;
        }
      }
      &:last-child {
        display: none;
      }
    }
    .lastWin-item-center {
      font-size: .725rem;
      border-radius: 0px;
      padding: 0px;
    }
    .lastWin-item_wrapper {
      height: 40px;
      padding: $marginMini / 2 0px;
    }
  }
}

.fullHistory {
  background-color: #2a354a;
  /*padding-bottom: 15px;*/
  &-card {
    box-shadow: 0px 0px 20px -10px rgba(1, 1, 1, 1);
    border: 1px solid #3b4356;
    border-radius: 12px;
    overflow: hidden;
    background-color: #283349;
    &-container {
      padding: $paddingMini;
    }
  }
  &-calendar {
    .s_btn {
      border-radius: 5px;
      height: 32px;
      padding: 3px;
    }
    img {
      max-height: 15px;
    }
  }
  &_header {
    display: flex;
  }
  &_menu {
    &-item {
      flex: 1;
      height: 60px;
      font-size: .52rem;
      text-transform: uppercase;
      background-color: #37425d;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      position: relative;
      padding: 0px $paddingMini * 2/3;
      &:after {
        content: '';
        position: absolute;
        right: 0px;
        width: 1px;
        background-color: rgba(255, 255, 255, .15);
        height: calc(100% - 10px);
      }
      transition: $transitionTime color ease-in;
      &.active {
        background-color: #2a354a;
        color: #ffffff;
        &:after {
          display: none;
        }
      }
      &-icon {
        padding-bottom: $paddingMini;
      }
      &-text {
        text-align: center;
      }
      path {
        transition: $transitionTime fill ease-in;
      }
    }
  }
  .history_header {
    padding: $paddingMini / 2 $paddingDefault;
  }
  &_body {
    //padding: 0px $paddingMedium;
    position: relative;
    .table {
      border-top: 0px;
      padding-bottom: 10px;
      &_body {
        /*padding-left: $paddingDefault;
        padding-right: $paddingDefault;*/
      }
      &_head {
        background-color: #273248;
        padding: 0px $paddingDefault;
      }
      &-th {
        //background-color: #1d283d;
        /*&:nth-of-type(even) {
          background-color: #1d283d;
        }*/
        &:first-child {
          padding: 10px 10px 10px 2.5px;
        }
      }
    }
    .dateNumber {
      touch-action: manipulation;
      font-family: 'Montserrat', sans-serif;
      background-color: #37425d;
      color: $playTable-cell-color;
      width: 50px;
      height: 50px;
      display: flex;
      align-items: center;
      justify-content: center;
      border-radius: $playTable-cell-radius;
      position: relative;
      z-index: 1;
      font-weight: 500;
      &-holiday {
        background-color: #583737;
      }
      &_inner {
        touch-action: manipulation;
        width: calc(100% - 6px);
        height: calc(100% - 6px);
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: $playTable-cell-radius - 4;
        transition: all $transitionTime ease-in;
        background: transparent;
        font-weight: bold;
        color: #f0a111;
        flex-direction: column;
        &-date {
          text-transform: uppercase;
          font-size: .675rem;
          color: #757d8d;
        }
      }
    }
  }
}
